commit 7e3716800f802c8148458eea6fe00640aeee92e8
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Fri Apr 22 10:36:34 2016 +0200

    Rename TaxonNodeDao to TaxonNodeDto

diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/TaxonNodeDaoBeanProcessor.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/TaxonNodeDaoBeanProcessor.java
deleted file mode 100644
index 000780ad74..0000000000
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/TaxonNodeDaoBeanProcessor.java
+++ /dev/null
@@ -1,64 +0,0 @@
-// $Id$
-/**
- * Copyright (C) 2007 EDIT
- * European Distributed Institute of Taxonomy
- * http://www.e-taxonomy.eu
- *
- * The contents of this file are subject to the Mozilla Public License Version 1.1
- * See LICENSE.TXT at the top of this package for the full license terms.
- */
-
-package eu.etaxonomy.cdm.remote.json.processor.bean;
-
-import java.util.List;
-
-import net.sf.json.JSONObject;
-import net.sf.json.JsonConfig;
-import net.sf.json.processors.JsonBeanProcessor;
-import eu.etaxonomy.cdm.model.taxon.TaxonNode;
-import eu.etaxonomy.cdm.strategy.cache.TaggedText;
-
-/**
- * @author a.kohlbecker
- * @date 29.07.2010
- *
- */
-public class TaxonNodeDaoBeanProcessor implements JsonBeanProcessor {
-
-
-    /* (non-Javadoc)
-     * @see net.sf.json.processors.JsonBeanProcessor#processBean(java.lang.Object, net.sf.json.JsonConfig)
-     */
-    @Override
-    public JSONObject processBean(Object bean, JsonConfig jsonConfig) {
-
-        TaxonNode node = (TaxonNode)bean;
-        JSONObject json = new JSONObject();
-        json.element("class", "TaxonNodeDao");
-        json.element("uuid", node.getUuid(), jsonConfig);
-        json.element("taxonomicChildrenCount", node.getCountChildren(), jsonConfig);
-        //json.element("classificationUuid", node.getClassification().getUuid(), jsonConfig);
-        if(node.getTaxon() != null){
-            json.element("titleCache", node.getTaxon().getName().getTitleCache(), jsonConfig);
-            List<TaggedText> taggedTitle = node.getTaxon().getName().getTaggedName();
-            json.element("taggedTitle", taggedTitle, jsonConfig);
-            json.element("taxonUuid", node.getTaxon().getUuid(), jsonConfig);
-            //Sec can be null (web services can return null for sec)
-            //comparation made for avoiding view exceptions
-            if (node.getTaxon().getSec() == null){
-                json.element("secUuid", "null");
-            }else{
-                json.element("secUuid", node.getTaxon().getSec().getUuid(), jsonConfig);
-            }
-            json.element("unplaced", node.getTaxon().isUnplaced());
-            json.element("excluded", node.getTaxon().isExcluded());
-            String ranklabel = null;
-            if(node.getTaxon().getName().getRank() != null){
-                ranklabel = node.getTaxon().getName().getRank().getLabel();
-            }
-            json.element("rankLabel", ranklabel, jsonConfig);
-        }
-        return json;
-    }
-
-}
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/TaxonNodeDtoBeanProcessor.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/TaxonNodeDtoBeanProcessor.java
new file mode 100644
index 0000000000..f946a77b98
--- /dev/null
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/json/processor/bean/TaxonNodeDtoBeanProcessor.java
@@ -0,0 +1,64 @@
+// $Id$
+/**
+ * Copyright (C) 2007 EDIT
+ * European Distributed Institute of Taxonomy
+ * http://www.e-taxonomy.eu
+ *
+ * The contents of this file are subject to the Mozilla Public License Version 1.1
+ * See LICENSE.TXT at the top of this package for the full license terms.
+ */
+
+package eu.etaxonomy.cdm.remote.json.processor.bean;
+
+import java.util.List;
+
+import eu.etaxonomy.cdm.model.taxon.TaxonNode;
+import eu.etaxonomy.cdm.strategy.cache.TaggedText;
+import net.sf.json.JSONObject;
+import net.sf.json.JsonConfig;
+import net.sf.json.processors.JsonBeanProcessor;
+
+/**
+ * @author a.kohlbecker
+ * @date 29.07.2010
+ *
+ */
+public class TaxonNodeDtoBeanProcessor implements JsonBeanProcessor {
+
+
+    /* (non-Javadoc)
+     * @see net.sf.json.processors.JsonBeanProcessor#processBean(java.lang.Object, net.sf.json.JsonConfig)
+     */
+    @Override
+    public JSONObject processBean(Object bean, JsonConfig jsonConfig) {
+
+        TaxonNode node = (TaxonNode)bean;
+        JSONObject json = new JSONObject();
+        json.element("class", "TaxonNodeDto");
+        json.element("uuid", node.getUuid(), jsonConfig);
+        json.element("taxonomicChildrenCount", node.getCountChildren(), jsonConfig);
+        //json.element("classificationUuid", node.getClassification().getUuid(), jsonConfig);
+        if(node.getTaxon() != null){
+            json.element("titleCache", node.getTaxon().getName().getTitleCache(), jsonConfig);
+            List<TaggedText> taggedTitle = node.getTaxon().getName().getTaggedName();
+            json.element("taggedTitle", taggedTitle, jsonConfig);
+            json.element("taxonUuid", node.getTaxon().getUuid(), jsonConfig);
+            //Sec can be null (web services can return null for sec)
+            //comparation made for avoiding view exceptions
+            if (node.getTaxon().getSec() == null){
+                json.element("secUuid", "null");
+            }else{
+                json.element("secUuid", node.getTaxon().getSec().getUuid(), jsonConfig);
+            }
+            json.element("unplaced", node.getTaxon().isUnplaced());
+            json.element("excluded", node.getTaxon().isExcluded());
+            String ranklabel = null;
+            if(node.getTaxon().getName().getRank() != null){
+                ranklabel = node.getTaxon().getName().getRank().getLabel();
+            }
+            json.element("rankLabel", ranklabel, jsonConfig);
+        }
+        return json;
+    }
+
+}
diff --git a/cdmlib-remote/src/main/resources/eu/etaxonomy/cdm/remote/json/jsonConfigurations.xml b/cdmlib-remote/src/main/resources/eu/etaxonomy/cdm/remote/json/jsonConfigurations.xml
index f24f8bac86..f90cb1c794 100644
--- a/cdmlib-remote/src/main/resources/eu/etaxonomy/cdm/remote/json/jsonConfigurations.xml
+++ b/cdmlib-remote/src/main/resources/eu/etaxonomy/cdm/remote/json/jsonConfigurations.xml
@@ -223,7 +223,7 @@
         </entry>
         <entry key="eu.etaxonomy.cdm.model.taxon.TaxonNode">
           <bean
-            class="eu.etaxonomy.cdm.remote.json.processor.bean.TaxonNodeDaoBeanProcessor" />
+            class="eu.etaxonomy.cdm.remote.json.processor.bean.TaxonNodeDtoBeanProcessor" />
         </entry>
       </map>
     </property>