commit 2a9642404b0a6eef7538ab15bc620d8d5db7cbaa
Author: Cherian Mathew <c.mathew@bgbm.org>
Date:   Tue Nov 6 16:03:20 2012 +0000

    setting release version number for release 3.1.0

diff --git a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
index 753927cdf..3512900a2 100644
--- a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Application
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.application;singleton:=true
-Bundle-Version: 3.0.14.qualifier
+Bundle-Version: 3.1.0.201211061120
 Bundle-Activator: eu.etaxonomy.taxeditor.TaxonomicEditorPlugin
 Bundle-Vendor: EDIT
 Bundle-Localization: plugin
diff --git a/eu.etaxonomy.taxeditor.application/pom.xml b/eu.etaxonomy.taxeditor.application/pom.xml
index 99d6f0a01..f1eecf7ea 100644
--- a/eu.etaxonomy.taxeditor.application/pom.xml
+++ b/eu.etaxonomy.taxeditor.application/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
index 47bf5672c..edc915e6d 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Bulkeditor Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.bulkeditor;singleton:=true
-Bundle-Version: 3.0.14.qualifier
+Bundle-Version: 3.1.0.201211061120
 Bundle-Activator: eu.etaxonomy.taxeditor.bulkeditor.internal.TaxeditorBulkeditorPlugin
 Bundle-Vendor: EDIT
 Export-Package: eu.etaxonomy.taxeditor.annotatedlineeditor,eu.etaxonomy.taxeditor.annotatedlineeditor.handler,eu.etaxonomy.taxeditor.bulkeditor,eu.etaxonomy.taxeditor.bulkeditor.command,eu.etaxonomy.taxeditor.bulkeditor.handler,eu.etaxonomy.taxeditor.bulkeditor.input,eu.etaxonomy.taxeditor.bulkeditor.internal,eu.etaxonomy.taxeditor.bulkeditor.referencingobjects
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/pom.xml b/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
index ad7061d85..229dbb6f1 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index 3fe59615e..a4fdff9ab 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: CDM Library Dependencies Plugin
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.cdmlib;singleton:=true
-Bundle-Version: 3.0.14.qualifier
+Bundle-Version: 3.1.0.201211061120
 Eclipse-BundleShape: dir
 Export-Package: com.google.api,
  com.google.api.detect,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/pom.xml b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
index c275bd882..da8aa6a30 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/pom.xml
+++ b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>eu.etaxonomy.taxeditor.cdmlib</artifactId>
diff --git a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
index 90cb72526..e59bbe4da 100644
--- a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Editor Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.editor;singleton:=true
-Bundle-Version: 3.0.14.qualifier
+Bundle-Version: 3.1.0.201211061120
 Bundle-Activator: eu.etaxonomy.taxeditor.editor.internal.TaxeditorEditorPlugin
 Bundle-Vendor: %Bundle-Vendor.0
 Bundle-Localization: plugin
diff --git a/eu.etaxonomy.taxeditor.editor/pom.xml b/eu.etaxonomy.taxeditor.editor/pom.xml
index ed26975d5..927a241a1 100644
--- a/eu.etaxonomy.taxeditor.editor/pom.xml
+++ b/eu.etaxonomy.taxeditor.editor/pom.xml
@@ -4,7 +4,7 @@
   <parent>
 	<groupId>eu.etaxonomy</groupId>
 	<artifactId>taxeditor-parent</artifactId>
-    <version>3.0.14-SNAPSHOT</version>
+    <version>3.1.0.201211061120</version>
   </parent>
   
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.feature.platform/feature.xml b/eu.etaxonomy.taxeditor.feature.platform/feature.xml
index b3e8b5403..a6bfcb064 100644
--- a/eu.etaxonomy.taxeditor.feature.platform/feature.xml
+++ b/eu.etaxonomy.taxeditor.feature.platform/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="eu.etaxonomy.taxeditor.feature.platform"
       label="Taxeditor Dependencies"
-      version="3.0.14.qualifier"
+      version="3.1.0.201211061120"
       os="linux,macosx,win32"
       ws="cocoa,gtk,win32"
       arch="x86,x86_64">
diff --git a/eu.etaxonomy.taxeditor.feature.platform/pom.xml b/eu.etaxonomy.taxeditor.feature.platform/pom.xml
index 07f8c0e6a..70737b09b 100644
--- a/eu.etaxonomy.taxeditor.feature.platform/pom.xml
+++ b/eu.etaxonomy.taxeditor.feature.platform/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>eu.etaxonomy.taxeditor.feature.platform</artifactId>
diff --git a/eu.etaxonomy.taxeditor.feature/feature.xml b/eu.etaxonomy.taxeditor.feature/feature.xml
index 0a3377e02..69d11fbdd 100644
--- a/eu.etaxonomy.taxeditor.feature/feature.xml
+++ b/eu.etaxonomy.taxeditor.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="eu.etaxonomy.taxeditor.feature"
       label="Taxonomic Editor"
-      version="3.0.14.qualifier"
+      version="3.1.0.201211061120"
       provider-name="EDIT"
       plugin="eu.etaxonomy.taxeditor.application"
       os="linux,macosx,win32"
diff --git a/eu.etaxonomy.taxeditor.feature/pom.xml b/eu.etaxonomy.taxeditor.feature/pom.xml
index 06f77771a..0445e4eaa 100644
--- a/eu.etaxonomy.taxeditor.feature/pom.xml
+++ b/eu.etaxonomy.taxeditor.feature/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>eu.etaxonomy.taxeditor.feature</artifactId>
diff --git a/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
index abc0da6a5..d7e648f70 100644
--- a/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Help
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.help; singleton:=true
-Bundle-Version: 3.0.14.qualifier
+Bundle-Version: 3.1.0.201211061120
 Bundle-Activator: eu.etaxonomy.taxeditor.help.Activator
 Bundle-Vendor: EDIT
 Require-Bundle: org.eclipse.ui,
diff --git a/eu.etaxonomy.taxeditor.help/pom.xml b/eu.etaxonomy.taxeditor.help/pom.xml
index faf95d89d..5ba326025 100644
--- a/eu.etaxonomy.taxeditor.help/pom.xml
+++ b/eu.etaxonomy.taxeditor.help/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
index 109bf7ced..c63fca8e8 100644
--- a/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Navigation Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.navigation;singleton:=true
-Bundle-Version: 3.0.14.qualifier
+Bundle-Version: 3.1.0.201211061120
 Bundle-Vendor: EDIT
 Export-Package: eu.etaxonomy.cdm,
  eu.etaxonomy.taxeditor.navigation,
diff --git a/eu.etaxonomy.taxeditor.navigation/pom.xml b/eu.etaxonomy.taxeditor.navigation/pom.xml
index 3e663dc2a..54ef789c9 100644
--- a/eu.etaxonomy.taxeditor.navigation/pom.xml
+++ b/eu.etaxonomy.taxeditor.navigation/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
index 73e763284..de219e8d1 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Printpublisher Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.printpublisher;singleton:=true
-Bundle-Version: 3.0.14.qualifier
+Bundle-Version: 3.1.0.201211061120
 Require-Bundle: org.eclipse.osgi,
  org.eclipse.ui,
  eu.etaxonomy.taxeditor.cdmlib,
diff --git a/eu.etaxonomy.taxeditor.printpublisher/pom.xml b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
index 7271d0d90..e8e7d016c 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/pom.xml
+++ b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<artifactId>taxeditor-parent</artifactId>
 		<groupId>eu.etaxonomy</groupId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
index ea20a9557..390779168 100644
--- a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: DataStore Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.store;singleton:=true
-Bundle-Version: 3.0.14.qualifier
+Bundle-Version: 3.1.0.201211061120
 Bundle-Activator: eu.etaxonomy.taxeditor.store.internal.TaxeditorStorePlugin
 Bundle-Vendor: EDIT
 Export-Package: eu.etaxonomy.cdm,
diff --git a/eu.etaxonomy.taxeditor.store/pom.xml b/eu.etaxonomy.taxeditor.store/pom.xml
index 124172954..d54d78543 100644
--- a/eu.etaxonomy.taxeditor.store/pom.xml
+++ b/eu.etaxonomy.taxeditor.store/pom.xml
@@ -4,7 +4,7 @@
   <parent>
 	<groupId>eu.etaxonomy</groupId>
 	<artifactId>taxeditor-parent</artifactId>
-	<version>3.0.14-SNAPSHOT</version>
+	<version>3.1.0.201211061120</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor/pom.xml b/eu.etaxonomy.taxeditor/pom.xml
index 025df5a7c..7db3ef2fa 100644
--- a/eu.etaxonomy.taxeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.0.14-SNAPSHOT</version>
+		<version>3.1.0.201211061120</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/pom.xml b/pom.xml
index d814fce7f..63d56cf88 100644
--- a/pom.xml
+++ b/pom.xml
@@ -6,7 +6,7 @@
   </prerequisites>
   <groupId>eu.etaxonomy</groupId>
   <artifactId>taxeditor-parent</artifactId>
-  <version>3.0.14-SNAPSHOT</version>
+  <version>3.1.0.201211061120</version>
   <name>EDIT Taxonomic Editor</name>
   <description>The Taxonomic Editor for EDIT's platform for cybertaxonomy</description>
   <url>http://wp5.e-taxonomy.eu</url>
@@ -16,7 +16,7 @@
     <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
     <cdmlib.version>3.1</cdmlib.version><!-- TODO can we use project.version ????? -->
     <tycho.version>0.14.0</tycho.version>
-    <taxeditor.version>3.0.14-SNAPSHOT</taxeditor.version>
+    <taxeditor.version>3.1.0.201211061120</taxeditor.version>
   </properties>
   <modules>
     <module>eu.etaxonomy.taxeditor.cdmlib</module>